<?php
namespace MyApi\Config;

use MyApi\Model\AppTypes\MyCustomApp;
use RS\Event\HandlerAbstract;

/**
 * Класс, в котором мы описываем обработчики событий
 */
class Handlers extends HandlerAbstract
{
    function init()
    {
        $this->bind('getapps'); //Подписываемся на событие getapps
    }

    /**
     * Обработчик события getapps
     *
     * @param array $list список уже зарегистрированных в приложений от других модулей
     * @return array список уже зарегистрированных в приложений от других модулей вместе с нашим приложением
     */
    public static function getApps($list)
    {
        $list[] = new MyCustomApp();
        return $list;
    }

}